import { jsx as e, Fragment as c } from "@emotion/react/jsx-runtime";
import a from "react";
import { PriceFormatter as l } from "../../../formatters/PriceFormatter/PriceFormatter.js";
const d = (r) => {
  const { Component: o = a.Fragment } = r, n = r.fieldValue;
  return (m) => {
    const { childRows: t } = m;
    if (t.length === 0)
      return /* @__PURE__ */ e(c, { children: "-" });
    const i = t[0];
    return /* @__PURE__ */ e(
      l,
      {
        obProps: i,
        ...r,
        fieldValue: n,
        Component: o
      }
    );
  };
};
export {
  d as ColumnPriceGroupFormatter
};
